import { AutoPlacementBase } from "./auto-placement-base";
import { ConditionalAutoPlacement } from "./conditional-auto-placement";
import { SupportedUnits } from "./primitives/supported-units";
export declare type BannerType = "any" | "standard" | "double_height" | "large";
export interface AdvertisementAutoPlacement extends AutoPlacementBase {
    bannerType?: BannerType;
    conditional?: ConditionalAutoPlacement | ConditionalAutoPlacement[];
    distanceFromMedia?: SupportedUnits | number;
    frequency?: number;
}
