import { HorizontalAlignment, Margin, Padding, SupportedUnits } from "../primitives";
export declare type IgnoreDocumentParameters = "none" | "left" | "right" | "both";
export interface ComponentLayoutBase {
    columnSpan?: number;
    columnStart?: number;
    horizontalContentAlignment?: HorizontalAlignment;
    ignoreDocumentGutter?: boolean | IgnoreDocumentParameters;
    ignoreDocumentMargin?: boolean | IgnoreDocumentParameters;
    ignoreViewportPadding?: boolean | IgnoreDocumentParameters;
    margin?: Margin | number;
    maximumContentWidth?: SupportedUnits | number;
    minimumHeight?: SupportedUnits | number;
    minimumWidth?: SupportedUnits | number;
    maximumWidth?: SupportedUnits | number;
    padding?: SupportedUnits | Padding | number;
}
