import { HorizontalAlignment, SupportedUnits } from "../../primitives";
export declare type Distribution = "wide" | "narrow";
export interface CollectionDisplay {
    type: "collection";
    alignment?: HorizontalAlignment;
    distribution?: Distribution;
    gutter?: SupportedUnits | number;
    maximumWidth?: SupportedUnits | number;
    minimumWidth?: SupportedUnits | number;
    rowSpacing?: SupportedUnits | number;
    variableSizing?: boolean;
    widows?: "equalize" | "optimize" | "allow";
}
