export declare type ComponentAnimationType = "appear" | "fade_in" | "move_in" | "scale_fade";
export declare type StartingPosition = "left" | "right";
export interface ComponentAnimation {
    type: ComponentAnimationType;
    preferredStartingPosition?: StartingPosition;
    userControllable?: boolean;
    initialAlpha?: number;
    initialScale?: number;
}
