import { DataFormat } from "./data-format";
import { FormattedText } from "./formatted-text";
export declare type DataType = "string" | "text" | "image" | "image" | "number" | "integer" | "float";
export interface DataDescriptor {
    dataType: DataType;
    key: string;
    label: FormattedText | string;
    format?: DataFormat;
    identifier?: string;
}
