import { Component } from "../component";
import { DataTableSorting } from "./data-table-sorting";
import { RecordStore } from "./record-store";
export declare type DataOrientation = "vertical" | "horizontal";
export interface DataTable extends Component {
    data: RecordStore;
    role: "datatable";
    dataOrientation?: DataOrientation;
    showDescriptorLabels?: boolean;
    sortBy?: DataTableSorting[];
}
