import { Color } from "./color";
import { ComponentShadowOffset } from "./component-shadow-offset";
import { SupportedUnits } from "./supported-units";
import { TextShadowOffset } from "./text-shadow-offset";
export interface Shadow {
    color: Color;
    radius: number | SupportedUnits;
    offset?: TextShadowOffset | ComponentShadowOffset;
    opacity?: number;
}
