import { Color } from "./color";
export declare type FontStyle = "normal" | "italic" | "oblique";
export declare type FontWeight = 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900" | "thin" | "extra-light" | "extralight" | "ultra-light" | "light" | "regular" | "normal" | "book" | "roman" | "medium" | "semi-bold" | "semibold" | "demi-bold" | "demibold" | "bold" | "extra-bold" | "extrabold" | "ultra-bold" | "ultrabold" | "black" | "heavy" | "lighter" | "bolder";
export declare type FontWidth = "normal" | "ultra-condensed" | "extra-condensed" | "condensed" | "semi-condensed" | "semi-expanded" | "expanded" | "extra-expanded" | "ultra-expanded";
export declare type FontFamily = "Academy Engraved LET" | "Al Nile" | "American Typewriter" | "Apple Color Emoji" | "Apple SD Gothic Neo" | "Arial" | "Arial Hebrew" | "Arial Rounded MT Bold" | "Avenir" | "Avenir Next" | "Avenir Next Condensed" | "Baskerville" | "Bodoni 72" | "Bodoni 72 Oldstyle" | "Bodoni 72 Smallcaps" | "Bodoni Ornaments" | "Bradley Hand" | "Chalkboard SE" | "Cochin" | "Copperplate" | "Courier" | "Courier New" | "DIN Alternate" | "DIN Condensed" | "Didot" | "Euphemia UCAS" | "Farah" | "Futura" | "Georgia" | "Gill Sans" | "Heiti SC" | "Heiti TC" | "Helvetica" | "Helvetica Neue" | "Hiragino Maru Gothic ProN" | "Hiragino Mincho ProN" | "Hiragino Sans" | "Hoefler Text" | "ITC Franklin Gothic Std" | "Iowan Old Style" | "Marion" | "Marker Felt" | "Menlo" | "Noteworthy" | "Optima" | "Palatino" | "Papyrus" | "Party LET" | "PingFang HK" | "PingFang SC" | "PingFang TC" | "Savoye LET" | "Snell Roundhand" | "Superclarendon" | "Thonburi" | "Times New Roman" | "Trebuchet MS" | "Verdana" | "Zapf Dingbats" | "Zapfino";
export declare type TextTransform = "uppercase" | "lowercase" | "capitalize" | "none";
export declare type VerticalAlignment = "superscript" | "subscript" | "baseline";
export interface TextDecoration {
    color?: Color;
}
export declare type TextFormat = "html" | "markdown" | "none";
