import { Color } from "../../primitives";
import { Border } from "./border";
import { ComponentShadow } from "./component-shadow";
import { CornerMask } from "./corner-mask";
import { Fill } from "./fill";
import { GradientFill } from "./gradient-fill";
import { ImageFill } from "./image-fill";
import { TableStyle } from "./table-style";
import { VideoFill } from "./video-fill";
export interface ComponentStyleBase {
    backgroundColor?: Color;
    border?: Border;
    fill?: Fill | GradientFill | ImageFill | VideoFill;
    mask?: CornerMask;
    opacity?: number;
    tableStyle?: TableStyle;
    shadow?: ComponentShadow;
}
