import { HorizontalAlignment, URI, VerticalAlignment } from "../../primitives";
import { Fill } from "./fill";
import { ImageFillMode } from "./image-fill";
export interface VideoFill extends Fill {
    stillURL: URI;
    type: "video";
    URL: URI;
    fillMode?: ImageFillMode;
    horizontalAlignment?: HorizontalAlignment;
    loop?: boolean;
    verticalAlignment?: VerticalAlignment;
}
