import { AppearAnimation } from "./appear-animation";
import { FadeInAnimation } from "./fade-in-animation";
import { MoveInAnimation } from "./move-in-animation";
import { ScaleFadeAnimation } from "./scale-fade-animation";
export declare type ComponentAnimationType = "appear" | "fade_in" | "move_in" | "scale_fade";
export interface ComponentAnimationBase {
    type: ComponentAnimationType;
}
export declare type ComponentAnimation = AppearAnimation | FadeInAnimation | MoveInAnimation | ScaleFadeAnimation;
