import { HorizontalAlignment, URI, VerticalAlignment } from "../../primitives";
import { ImageComponent } from "./image-component";
export declare type ArticleThumbnailFillMode = "cover" | "fit";
export interface ArticleThumbnail extends Omit<ImageComponent, "URL"> {
    role: "article_thumbnail";
    URL?: URI;
    aspectRatio?: number;
    fillMode?: ArticleThumbnailFillMode;
    horizontalAlignment?: HorizontalAlignment;
    verticalAlignment?: VerticalAlignment;
}
