import { URI } from "../../primitives";
import { Component } from "../component";
import { ComponentLink } from "../component-link";
import { CaptionDescriptor } from "./caption-descriptor";
export declare type ImageComponentRole = "image" | "photo" | "figure" | "portrait" | "logo" | "article_thumbnail";
export interface ImageComponent extends Component {
    role: ImageComponentRole;
    URL: URI;
    accessibilityCaption?: string;
    caption?: CaptionDescriptor | string;
    additions?: ComponentLink[];
    explicitContent?: boolean;
}
