import { Component } from "../component";
import { MapItem } from "./map-item";
import { MapSpan } from "./map-span";
export declare type MapType = "standard" | "hybrid" | "satellite";
export interface LocationComponent extends Component {
    latitude: number;
    longitude: number;
    accessibilityCaption?: string;
    caption?: string;
    items?: MapItem[];
    mapType?: MapType;
    span?: MapSpan;
}
