import { DateTime, URI } from "../primitives";
import { CampaignData } from "./campaign-data";
import { Issue } from "./issue";
import { LinkedArticle } from "./linked-article";
declare type ContentGenerationType = "AI";
export interface Metadata {
    authors?: string[];
    campaignData?: CampaignData;
    canonicalURL?: URI;
    contentGenerationType?: ContentGenerationType;
    dateCreated?: DateTime;
    dateModified?: DateTime;
    datePublished?: DateTime;
    excerpt?: string;
    generatorIdentifier?: string;
    generatorName?: string;
    generatorVersion?: string;
    issue?: Issue;
    keywords?: string[];
    links?: LinkedArticle[];
    thumbnailURL?: string;
    transparentToolbar?: boolean;
    videoURL?: URI;
}
export {};
