import { HorizontalAlignment, URI, VerticalAlignment } from "../../primitives";
import { Fill } from "./fill";
export declare type ImageFillMode = "fit" | "cover";
export interface ImageFill extends Fill {
    type: "image";
    URL: URI;
    fillMode?: ImageFillMode;
    horizontalAlignment?: HorizontalAlignment;
    verticalAlignment?: VerticalAlignment;
}
