import { Color, HorizontalAlignment, SupportedUnits, VerticalAlignment } from "../../primitives";
import { ComponentTextStyle } from "../text-styles/component-text-style";
import { TableBorder } from "./table-border";
export interface TableCellStyleBase {
    backgroundColor?: Color;
    border?: TableBorder;
    height?: SupportedUnits | number;
    horizontalAlignment?: HorizontalAlignment;
    minimumWidth?: SupportedUnits | number;
    padding?: SupportedUnits | number;
    textStyle?: ComponentTextStyle;
    verticalAlignment?: VerticalAlignment;
    width?: number;
}
