import { DropCapStyle } from "./drop-cap-style";
import { TextStyle } from "./text-style";
import { TextStyleBase } from "./text-style-base";
declare type TextAlignment = "left" | "center" | "right" | "justified" | "none";
export interface ComponentTextStyleBase extends TextStyleBase {
    dropCapStyle?: DropCapStyle | "none";
    firstLineIndent?: number;
    fontScaling?: boolean;
    hangingPunctuation?: boolean;
    hyphenation?: boolean;
    hyphenationMinimumCharactersAfter?: number;
    hyphenationMinimumCharactersBefore?: number;
    hyphenationMinimumWordLength?: number;
    hyphenationZone?: number;
    lineBalancing?: boolean;
    lineHeight?: number;
    linkStyle?: TextStyle;
    paragraphSpacingAfter?: number;
    paragraphSpacingBefore?: number;
    textAlignment?: TextAlignment;
}
export {};
